API referenceConsumerConsumer.vspaces
Set a member-specific exit route
Overrides the effective exit route for a single VSpace member inside the current project-scoped consumer account.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
VSpace ID
Format
uuiddevice_id*string
Device ID
Format
uuidHeader Parameters
X-Project-Id*string
UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.
Format
uuidRequest Body
application/json
Ordered list of device IDs to use for this member's exit route, or null to inherit the VSpace default.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/consumer/v1/vspaces/44444444-4444-4444-4444-444444444444/members/55555555-5555-5555-5555-555555555555/exit-route" \ -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \ -H "Content-Type: application/json" \ -d '{ "route": [ "77777777-7777-7777-7777-777777777777" ] }'{ "consumer_account_id": "22222222-2222-2222-2222-222222222222", "device_id": "55555555-5555-5555-5555-555555555555", "effective_exit_route": [ "77777777-7777-7777-7777-777777777777" ], "exit_route": [ "77777777-7777-7777-7777-777777777777" ], "ipv4_address": "100.101.0.14", "ipv6_address": "fd7a:115c:a1e0:efe3::14", "joined_at": "2026-04-12T09:50:00Z"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}{ "detail": "Pool slug must be unique.", "instance": "urn:forestvpn:trace:a1b2c3d4", "title": "Validation Error", "type": "https://fvpn.net/errors/validation"}